<template>
  <div class="navigation_panel">
    <div class="navigation_panel_tree">
      <div v-for="(nav, index) in navList" v-bind:key="nav">
        <div v-if="index !== 0" class="navigation_panel_separator"></div>
        <navigation-section :title="nav.title" :baseUrl="nav.baseUrl" :children="nav.children"></navigation-section>
      </div>
      <div class="navigation_panel_footer">
        <dl>
          <dt>Hash: {{commitHash}}</dt>
          <dt>Time: {{commitTime}}</dt>
        </dl>
      </div>
    </div>
  </div>
  <div class="navigation_panel_divider"></div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

import navigationSection from "./NavigationSection.vue";
import type { NavParent } from "@/types";

export default defineComponent({
  components: {
    "navigation-section": navigationSection
  },

  data() {
    return {
      navList: [
        {
          title: "Table",
          baseUrl: "/testtable",
          children: [
            { title: "Table", url: "/testtable" }
          ]
        },
        {
          title: "Form",
          baseUrl: "/testform",
          children: [
            { title: "Form", url: "/testform" }
          ]
        }
      ] as NavParent[]
    };
  },

  computed: {
    commitHash() {
      return process.env.VUE_APP_COMMIT_HASH;
    },
    commitTime() {
      return new Date(Number(process.env.VUE_APP_COMMIT_NUM) * 1000).toLocaleString();
    }
  }
});
</script>


<style scoped>
.navigation_panel {
  background-color: #E7E8E9;
  font-size: 16px;
  overflow-x: hidden;
  position: absolute;
  left: 0;
  top: 96px;
  bottom: 0;
  width: 210px;
  margin: 0;
  padding-top: 10px;
}

.navigation_panel_separator {
  border-top: 1px solid #a4a9ad;
  border-bottom: 1px solid #ffffff;
  margin: 10px 20px;
}

.navigation_panel_footer {
  position: fixed;
  left: 0;
  bottom: 0;
  text-align: left;
  margin-left: 10px;
  font-size: 12px;
}

.navigation_panel_divider {
  background: #414b55;
  position: absolute;
  overflow: hidden;
  left: 210px;
  top: 96px;
  bottom: 0;
  width: 2px;
  margin: 0;
}
</style>
